package com.qmth.themis.business.dto;

import com.qmth.themis.business.annotation.ExcelNote;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @Description: 考生导入dto
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/7/15
 */
public class ExamStudentImportDto implements Serializable {

    @NotNull
    @ExcelNote(value = "姓名")
    private String name; //姓名

    @NotNull
    @ExcelNote(value = "证件号")
    private String identity; //证件号

    @NotNull
    @ExcelNote(value = "科目代码")
    private String courseCode; //科目代码

    @NotNull
    @ExcelNote(value = "科目名称")
    private String courseName; //科目名称

    @ExcelNote(value = "年级")
    private String grade; //年级

    @ExcelNote(value = "教学班级")
    private String classNo; //教学班级

    @ExcelNote(value = "密码")
    private String password; //密码

    @NotNull
    @ExcelNote(value = "场次")
    private String examActivityCode; //场次

    @NotNull
    @ExcelNote(value = "考场代码")
    private String roomCode; //考场代码

    @NotNull
    @ExcelNote(value = "考场名称")
    private String roomName; //考场名称

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getIdentity() {
        return identity;
    }

    public void setIdentity(String identity) {
        this.identity = identity;
    }

    public String getCourseCode() {
        return courseCode;
    }

    public void setCourseCode(String courseCode) {
        this.courseCode = courseCode;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public String getGrade() {
        return grade;
    }

    public void setGrade(String grade) {
        this.grade = grade;
    }

    public String getClassNo() {
        return classNo;
    }

    public void setClassNo(String classNo) {
        this.classNo = classNo;
    }

    public String getExamActivityCode() {
        return examActivityCode;
    }

    public void setExamActivityCode(String examActivityCode) {
        this.examActivityCode = examActivityCode;
    }

    public String getRoomCode() {
        return roomCode;
    }

    public void setRoomCode(String roomCode) {
        this.roomCode = roomCode;
    }

    public String getRoomName() {
        return roomName;
    }

    public void setRoomName(String roomName) {
        this.roomName = roomName;
    }
}
